CreateCloudRouter
1. API Description
This API (CreateCloudRouter) is used to create Cloud Router
2. Input Parameters
The following request parameter list only provides API request parameters.
cloudRouterName
Yes
String
Name of the Cloud Router, up to 255 characters. Defaults to cloud-router-{timestamp} if not specified.
edgePoints
Yes
Array of CreateCloudRouterEdgePoint
Edge point information. At least 2 edge points are required.
Value range: [-, 500.0]
cloudRouterDescription
No
String
Description of the Cloud Router, up to 255 characters.
resourceGroupId
No
String
Resource group ID. If not specified, the resource is placed in the default resource group.
tags
No
Tags associated when creating the Cloud Router.
Note: associated tag keys must not be duplicated.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
cloudRouterId
String
Cloud Router ID.
4. Code Example
1. Create a Cloud Router with 2 edge points, each with a bandwidth of 1 Mbps. One edge point is a port, and the other is a VPC.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated